VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::Snmp Interface Reference

`Snmp` interface provides methods SNMP agent operations. More...

Inherited by vmware::appliance::techpreview::monitoring::SnmpStub.

List of all members.

## Public Member Functions
void | Reset ()
| Restore settings to factory defaults.
void | Reset (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Restore settings to factory defaults.
global::System.Threading.Tasks.Task | ResetAsync ()
| Restore settings to factory defaults.
global::System.Threading.Tasks.Task | ResetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Restore settings to factory defaults.
void | Enable ()
| Start a disabled SNMP agent.
void | Enable (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Start a disabled SNMP agent.
global::System.Threading.Tasks.Task | EnableAsync ()
| Start a disabled SNMP agent.
global::System.Threading.Tasks.Task | EnableAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Start a disabled SNMP agent.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults | Hash (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig config)
| Generate localized keys for secure SNMPv3 communications.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults | Hash (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Generate localized keys for secure SNMPv3 communications.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults > | HashAsync (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig config)
| Generate localized keys for secure SNMPv3 communications.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults > | HashAsync (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Generate localized keys for secure SNMPv3 communications.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits | Limits ()
| Get SNMP limits information.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits | Limits (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get SNMP limits information.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits > | LimitsAsync ()
| Get SNMP limits information.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits > | LimitsAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get SNMP limits information.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly | Get ()
| Return an SNMP agent configuration.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Return an SNMP agent configuration.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly > | GetAsync ()
| Return an SNMP agent configuration.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Return an SNMP agent configuration.
void | Disable ()
| Stop an enabled SNMP agent.
void | Disable (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Stop an enabled SNMP agent.
global::System.Threading.Tasks.Task | DisableAsync ()
| Stop an enabled SNMP agent.
global::System.Threading.Tasks.Task | DisableAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Stop an enabled SNMP agent.
void | Set (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig config)
| Set SNMP configuration.
void | Set (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set SNMP configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig config)
| Set SNMP configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set SNMP configuration.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults | Test ()
| Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults | Test (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults > | TestAsync ()
| Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults > | TestAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats | Stats ()
| Generate diagnostics report for snmp agent.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats | Stats (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Generate diagnostics report for snmp agent.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats > | StatsAsync ()
| Generate diagnostics report for snmp agent.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats > | StatsAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Generate diagnostics report for snmp agent.

## Detailed Description

`Snmp` interface provides methods SNMP agent operations.

## Member Function Documentation

void vmware::appliance::techpreview::monitoring::Snmp::Disable | ( |  | ) |

Stop an enabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

void vmware::appliance::techpreview::monitoring::Snmp::Disable | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Stop an enabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::Snmp::DisableAsync | ( |  | ) |

Stop an enabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::Snmp::DisableAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Stop an enabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

void vmware::appliance::techpreview::monitoring::Snmp::Enable | ( |  | ) |

Start a disabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

void vmware::appliance::techpreview::monitoring::Snmp::Enable | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Start a disabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::Snmp::EnableAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Start a disabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::Snmp::EnableAsync | ( |  | ) |

Start a disabled SNMP agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly vmware::appliance::techpreview::monitoring::Snmp::Get | ( |  | ) |

Return an SNMP agent configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP config structure

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly vmware::appliance::techpreview::monitoring::Snmp::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Return an SNMP agent configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP config structure

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly> vmware::appliance::techpreview::monitoring::Snmp::GetAsync | ( |  | ) |

Return an SNMP agent configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP config structure

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfigReadOnly> vmware::appliance::techpreview::monitoring::Snmp::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Return an SNMP agent configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP config structure

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults vmware::appliance::techpreview::monitoring::Snmp::Hash | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig | config | ) |

Generate localized keys for secure SNMPv3 communications.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP hash configuration.

Returns:
  SNMP hash result

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults vmware::appliance::techpreview::monitoring::Snmp::Hash | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Generate localized keys for secure SNMPv3 communications.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP hash configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  SNMP hash result

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults> vmware::appliance::techpreview::monitoring::Snmp::HashAsync | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig | config | ) |

Generate localized keys for secure SNMPv3 communications.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP hash configuration.

Returns:
  SNMP hash result

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashResults> vmware::appliance::techpreview::monitoring::Snmp::HashAsync | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPHashConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Generate localized keys for secure SNMPv3 communications.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP hash configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  SNMP hash result

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits vmware::appliance::techpreview::monitoring::Snmp::Limits | ( |  | ) |

Get SNMP limits information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP limits structure

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits vmware::appliance::techpreview::monitoring::Snmp::Limits | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get SNMP limits information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP limits structure

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits> vmware::appliance::techpreview::monitoring::Snmp::LimitsAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get SNMP limits information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP limits structure

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPLimits> vmware::appliance::techpreview::monitoring::Snmp::LimitsAsync | ( |  | ) |

Get SNMP limits information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP limits structure

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

void vmware::appliance::techpreview::monitoring::Snmp::Reset | ( |  | ) |

Restore settings to factory defaults.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

void vmware::appliance::techpreview::monitoring::Snmp::Reset | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Restore settings to factory defaults.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::Snmp::ResetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Restore settings to factory defaults.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::Snmp::ResetAsync | ( |  | ) |

Restore settings to factory defaults.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

void vmware::appliance::techpreview::monitoring::Snmp::Set | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig | config | ) |

Set SNMP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP configuration.

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

void vmware::appliance::techpreview::monitoring::Snmp::Set | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set SNMP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::Snmp::SetAsync | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig | config | ) |

Set SNMP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP configuration.

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::monitoring::Snmp::SetAsync | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set SNMP configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | SNMP configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats vmware::appliance::techpreview::monitoring::Snmp::Stats | ( |  | ) |

Generate diagnostics report for snmp agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP stats

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats vmware::appliance::techpreview::monitoring::Snmp::Stats | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Generate diagnostics report for snmp agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP stats

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats> vmware::appliance::techpreview::monitoring::Snmp::StatsAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Generate diagnostics report for snmp agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP stats

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPStats> vmware::appliance::techpreview::monitoring::Snmp::StatsAsync | ( |  | ) |

Generate diagnostics report for snmp agent.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP stats

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults vmware::appliance::techpreview::monitoring::Snmp::Test | ( |  | ) |

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP test result

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults vmware::appliance::techpreview::monitoring::Snmp::Test | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP test result

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults> vmware::appliance::techpreview::monitoring::Snmp::TestAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP test result

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPTestResults> vmware::appliance::techpreview::monitoring::Snmp::TestAsync | ( |  | ) |

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SNMP test result

Implemented in vmware::appliance::techpreview::monitoring::SnmpStub.

The documentation for this interface was generated from the following file:

- Snmp.cs